
#include <stdio.h>
#include <badpenguin-chain.h>
#include "badpenguin-hardware.h"

int main() {
  TChain *eide, *scsi, *part;
  TChainItem *c;
  TPartition *dev;
  
  eide = query_eide_devices(NULL);
  scsi = query_scsi_devices(NULL);
  part = query_partitions(NULL,eide,scsi);

  c = part->head;
  while (c!=NULL) {
    dev = TPARTITION(c->data);
    printf( 
      "%s - %2X - [%7s] %-35s - %10lu \n", 
      dev->device, dev->type, 
      dev->module, dev->filesystem, 
      dev->size
    );
    c = c -> next;
  }
  return 0;
}
