
#include <stdio.h>
#include <badpenguin-chain.h>
#include "badpenguin-hardware.h"

int main() {
  TChain *tux;
  TChainItem *c;
  TPciDevice *dev;

  printf("===== query_pci_devices =====\n");
  tux = NULL;
  tux = query_pci_devices(NULL,0);
  c = tux->head;
  while (c!=NULL) {
    dev = TPCIDEVICE(c->data);
    printf( 
      "%4x:%4x (%u,%u) %i [ %s - %s ] %s \n", 
      dev->vendor, dev->device,
      dev->class, dev->subclass, dev->status,
      dev->vendorName, dev->deviceName, dev->kernelModule
    );
    c = c -> next;
  }

  printf("\n===== parse_pci_devices =====\n");
  parse_pci_devices(tux);
  c = tux->head;
  while (c!=NULL) {
    dev = TPCIDEVICE(c->data);
    printf( 
      "%4x:%4x (%u,%u) %i [ %s - %s ] %s %s \n", 
      dev->vendor, dev->device,
      dev->class, dev->subclass, dev->status,
      dev->vendorName, dev->deviceName, dev->className, dev->kernelModule
    );
    c = c -> next;
  }


  return 0;
}
