#include <stdio.h>
#include "set-proc-dir.h"

int initProc = 0;
char s_proc_eide[S_LEN];
char s_proc_scsi[S_LEN];
char s_detect_dir[S_LEN];
char s_proc_net[S_LEN];
char s_proc_net_dev[S_LEN];
char s_proc_scsi_scsi[S_LEN];
char s_bus_pci[S_LEN];

int set_proc_dir(char *pdir, char *ddir) {
  if (initProc == 1) return 0;
  snprintf( s_proc_eide, S_LEN, "%s%s", pdir, DEFAULT_EIDE_DIR );
  snprintf( s_proc_scsi, S_LEN, "%s%s", pdir, DEFAULT_SCSI_DIR );
  snprintf( s_proc_scsi_scsi, S_LEN, "%s%s%s", pdir, DEFAULT_SCSI_DIR, DEFAULT_SCSI_FILE );
  snprintf( s_proc_net, S_LEN, "%s%s",pdir,DEFAULT_NET_DIR );
  snprintf( s_proc_net_dev, S_LEN, "%s%s%s", pdir, DEFAULT_NET_DIR, DEFAULT_ETH_FILE);
  snprintf( s_bus_pci, S_LEN, "%s%s", pdir, DEFAULT_BUSPCI_DIR );
  snprintf( s_detect_dir, S_LEN, "%s", ddir);

  // find modprobe location
  // note: kernel 2.2 has a special file under /proc in 2.4 this file seems not to exist
  //       so i assumed i can find modprobe under /sbin

  initProc = 1;
  return 0;
}


int set_new_dir(char *pdir, char *ddir) {
	initProc = 0;
	return set_proc_dir(pdir, ddir);
}

