#ifndef _SET_PROC_DIR_H
#define _SET_PROC_DIR_H


#define DEFAULT_PROC_DIR	"/proc"
#define DEFAULT_EIDE_DIR	"/ide/"
#define DEFAULT_SCSI_DIR	"/scsi/"
#define DEFAULT_SCSI_FILE	"/scsi"
#define DEFAULT_NET_DIR		"/net/"
#define DEFAULT_ETH_FILE	"/dev"
#define DEFAULT_BUSPCI_DIR	"/bus/pci"
#define DEFAULT_DETECT_DIR	CONFIG_DETECT_DIR
#define DEFAULT_PROC_MODPROBE	"/sys/kernel/modprobe"
#define DEFAULT_MODPROBE_PATH	"/sbin/modprobe"



#define S_LEN	256
#define DEFARRAY(X) extern char X[S_LEN]

extern int initProc;
DEFARRAY(s_proc_eide);
DEFARRAY(s_proc_scsi);
DEFARRAY(s_proc_scsi_scsi);
DEFARRAY(s_proc_net);
DEFARRAY(s_proc_net_dev);
DEFARRAY(s_bus_pci);
DEFARRAY(s_detect_dir);

int set_proc_dir(char *pdir, char *ddir);
int set_new_dir(char *pdir, char *ddir);


#endif

